List location customers
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/customers \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/customers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "customer",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"language": "fr",
"marketing_consent": {
"status": "opted_in",
"changed_at": "2023-11-07T05:31:56Z"
},
"completed_orders_count": 1
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Customers
List location customers
GET
/
v1
/
locations
/
{location_id}
/
customers
List location customers
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Return customers after this customer id.
Return customers before this customer id.
Return customer profiles created after this ISO 8601 timestamp.
Return customer profiles created before this ISO 8601 timestamp.
Return customer profiles updated after this ISO 8601 timestamp.
Return customer profiles updated before this ISO 8601 timestamp.
Return customers with this marketing consent status. Missing consent records match unknown.
Available options:
opted_in, opted_out, unknown Return customers with at least this many completed orders in the route scope.
Required range:
x >= 0